Get location
Resolve the requested location or the server default location.
GET
/api/locationQuery parameters
locationobject | anyResponses
200Location.Info
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/location"const response = await fetch("/api/location", {
method: "GET"
});import requests
response = requests.get(
"/api/location",
)Response
{
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}